SiteTemplateService_SearchSiteTemplates

GET /users/site-template/search

Operation id: SiteTemplateService_SearchSiteTemplates

Tags: SiteTemplateService

Parameters

Query parameters

NameTypeRequiredDescription
friendlyNamestringNoThe friendlyName you want to search for. Required: false
pageSizeinteger (int32)NopageSize is the maximum number of items to return. If not specified, a default value of 100 will be used. The maximum page size is 1000; values above 1000 will be changed to 100. Required: false
pageTokenstringNopageToken is a page token received from a previous ListSiteTemplates call. Provide this token to retrieve the subsequent page. Required: false
partialTextSearchbooleanNoWhether you want to search for a substring or an exact match on friendly_name. Required: false, Default: false
sortFieldstringNoSort Field for the results, available sort_fields: creation_time, friendly_name, site_template_id, Default: friendly_name, Required: false
sortTypestringNoSort Type for the results, Default: ASC, Required: false
tenantIdstringNoTenantId of the siteTemplate. Required: false (False as this can be inferred from the token)

Security

  • Authorization (apiKey)
    • Bearer token

Responses

200 — A successful response.

Content type: application/json

default — An unexpected error response.

Content type: application/json

Response models

200 — A successful response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
siteTemplatesarrayNo
nextPageTokenstringNonextPageToken is a token that can be sent as page_token to retrieve the next page. If this field is omitted, there are no subsequent pages.
{
  "type": "object",
  "properties": {
    "siteTemplates": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "siteTemplateId": {
            "type": "string"
          },
          "tenantId": {
            "type": "string"
          },
          "friendlyName": {
            "type": "string"
          },
          "departments": {
            "type": "array",
            "items": {
              "type": "string"
            }
          },
          "roles": {
            "type": "array",
            "items": {
              "type": "object"
            }
          },
          "siteAttributes": {
            "type": "array",
            "items": {
              "type": "string"
            }
          },
          "allRoles": {
            "type": "boolean"
          },
          "allDepartments": {
            "type": "boolean"
          },
          "allSiteAttributes": {
            "type": "boolean"
          },
          "creationTime": {
            "type": "string",
            "format": "date-time"
          },
          "lastUpdated": {
            "type": "string",
            "format": "date-time"
          },
          "attributes": {
            "type": "array",
            "items": {
              "type": "object"
            }
          },
          "departmentDetails": {
            "type": "array",
            "description": "The departments that the site_template is assigned to. This is to support UI for getting the details part of the graphQL query.\nIn V3, we can remove the existing departments field and use this one instead.",
            "items": {
              "type": "object",
              "description": "Protobuf created to represent a Department.\nUsing this name because UniqueDepartmentProto is already used for another use case."
            }
          }
        }
      }
    },
    "nextPageToken": {
      "type": "string",
      "description": "nextPageToken is a token that can be sent as page_token to retrieve the next page. If this field is omitted, there are no subsequent pages."
    }
  }
}

default — An unexpected error response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeinteger (int32)No
messagestringNo
detailsarrayNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer",
      "format": "int32"
    },
    "message": {
      "type": "string"
    },
    "details": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "@type": {
            "type": "string"
          }
        }
      }
    }
  }
}